import 'dart:math';

import 'package:contentsquare_platform_interface/contentsquare_platform_interface.dart';
import 'package:flutter/gestures.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

import 'gesture_listener.dart';


class a105 extends StatelessWidget {
  
  final Widget a104;

  
  final Function(Offset position)? a103;

  
  final Function(Offset position)? a102;

  
  final Function(Offset position, ContentsquareGestureData data)? a101;

  
  final Function(Offset position, ContentsquareGestureData data)? a100;

  
  const a105({
    Key? a494,
    required this.a104,
    this.a103,
    this.a102,
    this.a101,
    this.a100,
  }) : super(key: a494);

  bool _a182(a106 a495) {
    return a495.a98.distance.isFinite && a495.a97.isFinite;
  }

  void _a183(PointerEvent a496) {
    a103?.call(a496.position);
  }

  void _a184(PointerEvent a497) {
    a102?.call(a497.position);
  }

  void _a185(a106 a498) {
    final a290 = _a186(a498.a98);
    if (a290 == null) return;

    if (!_a182(a498)) return;

    final a291 = ContentsquareGestureData(
      distance: a498.a98.distance.toInt(),
      direction: a290,
      velocity: max(a498.a97.dx.abs(), a498.a97.dy.abs()).toInt(),
    );

    if (a291.velocity >= kMinFlingVelocity) {
      a100?.call(a498.a99, a291);
    } else {
      a101?.call(a498.a99, a291);
    }
  }

  static ContentsquareGestureDirection? _a186(Offset a499) {
    if (a499.dx == 0 && a499.dy == 0) return null;

    if (a499.dx.abs() <= a499.dy.abs()) {
      
      return a499.dy > 0
          ? ContentsquareGestureDirection.down
          : ContentsquareGestureDirection.up;
    } else {
      
      return a499.dx > 0
          ? ContentsquareGestureDirection.right
          : ContentsquareGestureDirection.left;
    }
  }

  @override
  Widget build(BuildContext context) {
    return a107(
      a95: _a183,
      a94: _a184,
      a90: _a185,
      a96: a104,
    );
  }
}
