import 'dart:developer';

import 'package:flutter/rendering.dart';


extension a176 on RenderObject {
  
  Rect? get a262 => _a264(a559: true);

  
  Rect? get a263 => _a264(a559: false);

  
  Rect? _a264({required bool a559}) {
    final a402 = this;

    
    
    
    
    
    if (a402 is RenderView) {
      
      
      
      
      return a402.child?._a264(
        a559: a559,
      );
    } else if (a402 is RenderBox) {
      return _a266(
        a402,
        a562: a559,
      );
    } else if (a402 is RenderSliver) {
      return _a267(
        a402,
        a564: a559,
      );
    } else {
      log(
        'The RenderObject of type ${a402.runtimeType} is not supported. '
        'Therefore its size cannot be determined.',
      );
      return null;
    }
  }

  
  Rect _a265({
    required bool a560,
  }) {
    if (!a560) {
      return paintBounds;
    }

    
    
    
    final a403 = getTransformTo(null).getTranslation();
    return paintBounds.shift(Offset(a403.x, a403.y));
  }
}


Rect? _a266(
  RenderBox a561, {
  required bool a562,
}) {
  if (!a561.hasSize) {
    return null;
  }

  return a561._a265(
    a560: a562,
  );
}


Rect? _a267(
  RenderSliver a563, {
  required bool a564,
}) {
  if (a563.geometry == null) {
    return null;
  }

  return a563._a265(
    a560: a564,
  );
}
