import 'dart:convert';

import 'package:contentsquare/contentsquare.dart';
import 'package:contentsquare/src/modules/gestures/touch_event_data_json_serializer.dart';
import 'package:contentsquare/src/modules/logger/logger.dart';
import 'package:contentsquare/src/modules/webview_tracking/adapters/js_event_to_dart_sdk_adapter.dart';
import 'package:contentsquare/src/modules/webview_tracking/javascript_event_handler.dart';
import 'package:contentsquare/src/modules/webview_tracking/logs/invalid_json_log.dart';
import 'package:contentsquare/src/modules/webview_tracking/logs/screengraph_retrieval_error_logs/tvp_not_found_log.dart';
import 'package:contentsquare_platform_interface/contentsquare_platform_interface.dart';

import '../../gestures/contentsquare_gesture_int_serializer.dart';


class a143 extends a139 {
  
  a143({
    required this.a52,
    required this.a51,
  });

  
  final Contentsquare a52;

  
  final String? Function() a51;

  
  static const _a413 = 'eventJson';

  
  @override
  final List<String> a3 = [_a413];

  @override
  Future<void> a10(Map<String, dynamic> a459) async {
    try {
      final a414 = a51();

      if (a414 == null) {
        a212.a30(a155());
        return;
      }

      final a415 = jsonDecode(a459[_a413]);

      final a416 = a415['type'];
      final a417 = a173.a190(a416);

      final a418 = a415['data'];

      if (a417 == ContentsquareGesture.pageView) {
        final a419 = a418['url'];
        return a52.send(a419);
      }

      return a52.sendTouchEvent(
        type: a417,
        version: a415['version'],
        data: a174.a211(a418)
            .copyWithPrefixedPath('$a414|webview|'),
      );
    } catch (error) {
      a212.a30(
        a153(
          a571: ContentsquareJavascriptEventEnum.sendMessage,
          a572: '$error',
        ),
      );
    }
  }
}
