import 'package:contentsquare/src/modules/logger/logger.dart';

import 'webview_log.dart';


class a151 extends a121 with a164 {
  
  a151({
    required String? a568,
    required String a569,
  }) : super(
          '''
WebView tracking initialization failed${a568 == null ? '' : ' on WebView with initialUrl: $a568'}.

Reason: $a569
          
                
The expected [ContentsquareWebViewTrackerBuilder] usage is:
```dart
ContentsquareWebViewTrackerBuilder(
  builder: (context, tracker) => WebView(
    onPageFinished: tracker.onPageFinished,
    onWebViewCreated: tracker.onWebViewCreated,
    javascriptChannels: tracker.javascriptChannels,
    javascriptMode: JavascriptMode.unrestricted,
    initialUrl: 'https://tupeuxpastest.csq.io/mobile/web-view-cart.html',
  ),
)
          ''',
        );
}
