import 'dart:async';
import 'dart:developer' as dev;

import 'package:collection/collection.dart';
import 'package:fast_immutable_collections/fast_immutable_collections.dart';
import 'package:flutter/foundation.dart';


a112 get a212 => _a318;
var _a318 = a112._a213();


class a112 {
  a112._a213({void Function(a113 log)? a520}) {
    _a319.stream.listen(a520 ?? _a214);
  }

  
  void a30(a113 a485) => _a319.add(a485);

  
  void a29(String a484) => a30(a115(a484));

  
  void a28(String a483) => a30(a117(a483));

  
  void a27(String a482) => a30(a119(a482));

  
  void a26(String a481) => a30(a121(a481));

  final _a319 = StreamController<a113>.broadcast();

  
  void _a214(a113 a521) {
    const a320 = 80;

    
    final a321 = '─' * (a320 - 1);

    
    
    const a322 = a320 - 3;

    String _a215(String a522) {
      return a522
          ._a217(a524: a322)
          .map((line) => '│ $line')
          .join('\n');
    }

    final a323 = _a215(a521.a1);
    final a324 = _a215(a521.a6);

    
    
    
    dev.log(
      '\n'
      '┌$a321\n'
      '$a323\n'
      '├$a321\n'
      '$a324\n'
      '└$a321\n',
    );
  }

  
  @visibleForTesting
  void a25({
    required void Function(a113 log) a479,
    required void Function(VoidCallback) a480,
  }) {
    final a325 = _a318;

    _a318 = a112._a213(a520: a479);

    a480(() => _a318 = a325);
  }
}


@visibleForTesting
bool a216(String a523) {
  final a326 =
      a523.split('\n').where((line) => line.isNotEmpty).length;

  return a326 > 1;
}


abstract class a113 {
  
  @mustCallSuper
  String get a1 => '(CSLIB)';

  
  String get a6;

  /// String representation of the log.
  ///
  /// The string is formed by the prefix followed by the message. If the message
  /// is on multiple lines, a line break is used between the prefix and the
  /// message and a separator is put at the end of the string.
  @override
  @nonVirtual
  String toString() {
    const _a327 = '\n----------------------------------------------------';

    final _a328 =
        a216(a6) ? '\n$a6$_a327' : a6;

    return '$a1 $_a328';
  }
}

extension on String {
  
  IList<String> _a217({required int a524}) {
    final a329 = split('\n');

    return a329
        .map((line) {
          final a330 = line.split(' ');

          var a331 = IList<IList<String>>();
          var a332 = IList<String>();
          for (final a333 in a330) {
            if (a332.join(' ').length + a333.length + 1 > a524) {
              a331 = a331.add(a332);
              a332 = a332.clear();
            }
            a332 = a332.add(a333);
          }
          a331 = a331.add(a332);

          return a331.map((line) => line.join(' ').padRight(a524));
        })
        .flattened
        .toIList();
  }
}


mixin a114 on a113 {
  @override
  String get a1 => 'ℹ️ INFO ℹ️ ${super.a1}';
}


class a115 extends a113 with a114 {
  
  a115(this.a6);

  @override
  final String a6;
}


mixin a116 on a113 {
  @override
  String get a1 => '✅ SUCCESS ✅ ${super.a1}';
}


class a117 extends a113 with a116 {
  
  a117(this.a6);

  @override
  final String a6;
}


mixin a118 on a113 {
  @override
  String get a1 => '⚠️ WARNING ⚠️ ${super.a1}';
}


class a119 extends a113 with a118 {
  
  a119(this.a6);

  @override
  final String a6;
}


mixin a120 on a113 {
  @override
  String get a1 => '⛔️ ERROR ⛔️ ${super.a1}';
}


class a121 extends a113 with a120 {
  
  a121(this.a6);

  @override
  final String a6;
}
