import 'dart:collection';

import 'package:flutter/rendering.dart';
import 'package:flutter/widgets.dart';

import '../../logger/logger.dart';
import '../widgets_binding.dart';
import '../../webview_tracking/webview_tracking.dart';
import '../compression.dart';
import '../element_extension.dart';
import '../unmodifiable_list_view_extension.dart';
import 'get_element_data_of_hit_render_object.dart';
import 'hit_element_data.dart';
import 'results/hit_leaves_element_tvps_result.dart';
import 'results/hit_maybe_result.dart';

part 'get_leaves_element_tvps.dart';


UnmodifiableListView<String> a239(Offset a542) {
  final a363 = _a241(a542);

  final a364 = a231(
    a536: a363,
    a537: a126.a242(a546: a542),
  );

  a240() => UnmodifiableListView<String>([]);

  return a364.a12(
    a466: () {
      
      
      
      
      
      a212.a30(
        a125(
          a543: a542,
          a544: a363,
        ),
      );
      return a240();
    },
    a467: (hitElementData) {
      final a365 = hitElementData.a67.a70;
      if (a365.a283) {
        
        
        return a240();
      }

      final a366 = _a232(
        a538: hitElementData,
      );

      return a366.a19(
        
        a473: () => a240(),
        a474: (leavesScreengraphTVPs) {
          
          
          final a367 =
              leavesScreengraphTVPs.a268();

          final a368 =
              a367.map(a219).toList();

          return UnmodifiableListView(a368);
        },
      );
    },
  );
}


@visibleForTesting
class a125 extends a119 {
  
  a125({
    required Offset a543,
    required RenderObject a544,
  }) : super(
          'Could not find the element associated with the RenderObject '
          '$a544 that was found for the gesture at '
          '$a543',
        );
}


RenderObject _a241(Offset a545) {
  final a369 = a178.a270!.renderView;

  
  
  final a370 = BoxHitTestResult();
  a369.hitTest(a370, position: a545);

  
  return a370.path
      .firstWhere((element) => element.target is RenderObject)
      .target as RenderObject;
}
